Arduino

Reference Language | Libraries | Comparison | Changes

## Wire.available()

#### Description

Returns the number of bytes available for retrieval with receive(). This should be called on a master device after a call to requestFrom() or on a slave inside the onReceive() handler.

available() inherits from the Stream utility class.

#### Parameters

None

#### Returns

The number of bytes available for reading.

#### See Also

- Wire.read()
- Stream.available()
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes